@import url('https://fonts.googleapis.com/css2?family=Antic+Didone&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Antic+Didone&family=Sedan+SC&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Teachers:ital,wght@0,400..800;1,400..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Mukta&display=swap');


/* ----- */
/* RESET */
/* ----- */
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
html {
    font-size: 62.5%;
}

/* --------------- */
/* UTILITY CLASSES */
/* --------------- */
.flex{
    display: flex;
}
.flex-direction-column {
    flex-direction: column;
}
.grid{
    display: grid;
}
.center{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.row-span-2{
    grid-row: span 2;
}
.column-span-2{
    grid-column: span 2;
}
.fa-registered{
    font-size: var(--small-font-size);
    position: absolute;
}

/* ---- */
/* ROOT */
/* ---- */
:root{
    --primary-background: hsl(29, 100%, 95%);
    --primary-background-darker: hsl(30, 51%, 57%);
    --secondary-background-color: hsl(0 , 0%, 0%);
    --secondary-background-lighter: hsl(0 , 0%, 30%);
    
    --primary-font-color: hsl(0, 0%, 0);
    --primary-font-lighter: hsl(0, 0%, 30%);
    --secondary-font-color: hsl(0, 0%, 100%);
    --secondary-font-darker: hsl(0, 0%, 70%);
    
    --primary-font-style: 'Antic Didone';
    --secondary-font-style: 'Mukta';

    --s: .5rem;
    --m: 1rem;
    --l: 1.5rem;
    --x: 2rem;
    --xx: 3rem;
    --xxx: 3.5rem;
    --xl: 4.5rem;
    --xxl: 6rem;
    --xxxl: 9rem;
    --xxxxl: 13rem;
}
input{
    outline: none;
    border: none;
    background-color: transparent;
}
button{
    outline: none;
    border: none;
    background-color: transparent;
    cursor: pointer;
    font-family: inherit var(--secondary-font-style);
    color: inherit;
    transition: 0.3s;
}
li{
    list-style-type: none;
    outline: none;
}
a{
    text-decoration: none;
    color: inherit;
}
i{
    font-family: var(--secondary-font-style);
}
body{
    min-height: 100vh;
}
body::-webkit-scrollbar{
    display: none;
}
h1, h2, h3{
    font-family: var(--primary-font-style);
}
section{
    max-width: 100%;
    min-height: fit-content;
    overflow: hidden;
}

/* -------------------- */
/* INTERSECTION CLASSES */
/* -------------------- */
.hidden-left{
    opacity: 0;
    transform: translateX(-100%);
    filter: blur(5px);
    transition: all .7s;
}
.hidden-right{
    opacity: 0;
    transform: translateX(100%);
    filter: blur(5px);
    transition: all .7s;
}
.show{
    transform: translateX(0);
    filter: blur(0);
    opacity: 1;
}
.img-holder:nth-child(2){
    transition-delay: .200s;
}
.img-holder:nth-child(3){
    transition-delay: .400s;
}
.img-holder:nth-child(4){
    transition-delay: .600s;
}


/* ------------------ */
/* SECTION 1 - HEADER */
/* ------------------ */
.header{
    padding: var(--x);
    padding-bottom: var(--xxl);
    line-height: 18px;
    background-color: var(--primary-background);
    font-family: var(--secondary-font-style);
    
}
.header h5{
    font-size: clamp(var(--l), 18px,  var(--x));
}
.header h1{
    font-size: clamp(var(--xx), 8vw, var(--xxxxl));
    padding: 10px 0;
    letter-spacing: 10px;
}
.header nav{
    width: 70%;
    padding: 5px;
    background-color: var(--secondary-background-color);
    border-radius: 25px;
}
.header nav ul{
    display: flex;
    gap: 5px;
}
.header nav ul li {
    font-size: var(--l);
}
.header nav ul i{
    font-size: var(--xl);
    margin: 0 10px;
    align-self: center;
    color: var(--primary-background);
}
.header nav ul li{
    align-self: center;
    color: var(--primary-background);
    position: relative;
    padding: 10px 0;
    flex: 1;
    border-radius: 4px;
}
.header .sidebar-button-holder{
    display: none;
    width: 100%;
    text-align: start;
    background-color: var(--primary-background);
    position: fixed;
    top: 0;
    left: 0;
    box-shadow: 0 3px 5px var(--primary-font-lighter);
    z-index: 1000;
}
.header .open-sidebar{
    display: none;
    padding: 5px 10px;
}

/* ------------------- */
/* SECTION 2 - SIDEBAR */
/* ------------------- */
.sidebar{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 100;
    transform: translateX(-100%);
}
.sidebar .sidebar-wrapper{
    --secondary-background-color: hsl(0, 0%, 0%, 0.4);
    width: min(350px, 100%);
    height: 100vh;
    background-color: aquamarine;
    position: fixed;
    flex-direction: column;
    gap: 20px 0;
    background-color: var(--secondary-background-color);
    box-shadow: -1px 0 5px var(--secondary-background-color);
    backdrop-filter: blur(4px);
    padding: 20px 0px ;
    line-height: 20px;
    color: var(--secondary-font-color);
    transform: translateX(-100%);
    transition: 0.3s;
}
.sidebar-wrapper nav ul .button-wrapper{
    display: flex;
    justify-content: end;
    margin-bottom: 20px;
    button{
        padding-right: 20px;

        i{
            transform: scale(1.6);
            transition: 0.3s;
        }
    }
    button:hover{
        i{
            transform: scale(1.6) rotate(45deg);
        }
    }
}
.sidebar-wrapper nav ul li{
    padding: var(--x);
    font-size: var(--l);
    transition: all 0.3s;
    font-family: var(--secondary-font-style);
}
.sidebar-wrapper nav ul li:hover{
    background-color: hsl(0, 0%, 0%, 0.6);
}


/* -------------------- */
/* SECTION - BLOG-POSTS */
/* -------------------- */
.blog-wrapper {
    grid-template-columns: 2fr 1fr;
    align-items: start;
    gap: var(--xxxl);
    padding: var(--xxxl);
    overflow: visible;
    background-color: var(--primary-background-darker);
    font-family: var(--secondary-font-style);
}
.blog-posts .blog img {
    width: 100%;
    aspect-ratio: 1 / .5;
    object-fit: cover;
    margin-bottom: var(--x);
    border-radius: var(--l);
}

.blog-posts .blog {
    margin-bottom: var(--xl);
}
.blog-posts .blog h2 {
    font-size: var(--xx);
    margin-bottom: var(--s);
}
.blog-posts .blog p {
    font-size: var(--l);
    color: var(--primary-font-lighter);
    margin-bottom: var(--x);
}
.blog-posts .blog button {
    background-color: var(--secondary-background-color);
    color: var(--secondary-font-color);
    padding: var(--s) var(--l);
    border-radius: var(--m);
}
.blog-posts .blog button:hover {
    background-color: var(--secondary-background-lighter);
    color: var(--primary-background-darker);
}


.blog-search {
    position: sticky;
    top: var(--xxl);
}
.blog-search div {
    position: relative;
}
.blog-search input {
    padding: var(--m) var(--x);
    font-family: var(--secondary-font-style);
    color: var(--secondary-background-color);
    border: 2px solid var(--primary-font-lighter);
    border-radius: var(--l);
    font-size: var(--l);
    margin-bottom: var(--x);
}
.blog-search input::placeholder {
    color: var(--primary-font-lighter);
}
.blog-search input:focus {
    border-color: var(--primary-font-color);
}
.blog-search h5 {
    font-size: var(--xx);
    font-family: var(--secondary-font-style);
    margin-bottom: var(--l);
}
.blog-search ul {
    width: 60%;
    gap: var(--s);
}
.blog-search ul li {
    justify-content: space-between;
    font-size: var(--x);
    color: var(--primary-font-lighter);
    cursor: pointer;
}
.blog-search ul li:hover {
    color: var(--primary-font-color);
}

.social-links > a > i:hover{
    font-size:larger;
}

.Top {
    height: 50px;
    width: 50px;
    position: fixed;
    right: 50px;
    bottom: 50px;
  }
  .Top img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

/* ------------------ */
/* SECTION 8 - FOOTER */
/* ------------------ */
.footer{
    background-color: var(--primary-background);
    padding: var(--xx);
    grid-template-columns: 2fr 1fr 1fr;
    font-family: var(--secondary-font-style);
}
.footer .org-name h4{
    font-size: var(--x);
}
.footer .org-name h1{
    font-size: var(--xxxxl);
}
.footer .org-name .fa-registered {
    font-size: var(--l);
}
.footer ul .head{
    font-size: var(--x);
    font-weight: 800;
    margin-bottom: var(--m);
}
.footer ul li {
    font-size: var(--l);
}
.footer .social-links{
    font-size: var(--l);
    width: 50%;
    align-items: center;
    *{
        margin: 0 4px;
    }
    p{
        flex: 1;
    }
}


/* ------------- */
/* MEDIA QUERIES */
/* ------------- */
@media (max-width : 800px) {
    .blog-wrapper {
        padding: var(--x);
        gap: var(--x);
    }
    .blog-posts .blog h2 {
        font-size: var(--x);
    }
    .blog-search h5 {
        font-size: var(--x);
    }
    .blog-search ul {
        width: 100%;
    }
    .blog-search ul li {
        font-size: var(--l);
    }
}
@media (max-width : 650px) {
    .header .sidebar-button-holder{
        display: block;
    }
    .header .open-sidebar{
        display: inline-block;
    }
    .header nav{
        display: none;
    }
}
@media (max-width : 500px) {

    /* SECTION 1 - HEADER */
    .header{
        padding: 50px 0 var(--x) 0;
    }
    .header h1{
        letter-spacing: 4px;
    }

    /* BLOG-WRAPPER */  
    .blog-wrapper {
        grid-template-columns: 1fr;
        padding: var(--m);
    }
    .blog-posts .blog h2 {
        font-size: var(--x);
    }
    .blog-search {
        display: grid;
        justify-content: center;
        justify-self: center;
        width: 80%;
        position: relative;
        top: var(--l);
        margin-bottom: var(--xl);
        grid-row: 1 / 2;
    }
    .blog-search h5 {
        font-size: var(--x);
    }
    .blog-search ul {
        width: 100%;
    }
    .blog-search ul li {
        font-size: var(--l);
    }
    /* FOOTER */
    .footer{
        grid-template-columns: 1fr 1fr;
        gap: 20px;
    }
    .footer .org-name{
        grid-column: span 2;
    }
    .footer .org-name h1 {
        font-size: var(--xxl);
    }
    .footer .social-links{
        width: 100%;
        grid-column: span 2;
        margin-bottom: 0;
    }
}
